Maps - Create Or Update

Tworzy lub aktualizuje mapę konta integracji.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/maps/{mapName}?api-version=2016-06-01

Parametry identyfikatora URI

Nazwisko W Wymagane Typ Opis
integrationAccountName
path True

string

Nazwa konta integracji.

mapName
path True

string

Nazwa mapy konta integracji.

resourceGroupName
path True

string

Nazwa grupy zasobów.

subscriptionId
path True

string

Identyfikator subskrypcji.

api-version
query True

string

Wersja interfejsu API.

Treść żądania

Nazwisko Wymagane Typ Opis
properties.mapType True

MapType

Typ mapy.

location

string

Lokalizacja zasobu.

properties.content

Content

Zawartość.

properties.contentType

string

Typ zawartości.

properties.metadata

Metadata

Metadane.

properties.parametersSchema

ParametersSchema

Schemat parametrów mapy konta integracji.

tags

object

Tagi zasobów.

Odpowiedzi

Nazwisko Typ Opis
200 OK

IntegrationAccountMap

OK

201 Created

IntegrationAccountMap

Utworzono

Zabezpieczenia

azure_auth

Przepływ protokołu OAuth2 usługi Azure Active Directory.

Typ: oauth2
Flow: implicit
Adres URL autoryzacji: https://login.microsoftonline.com/common/oauth2/authorize

Zakresy

Nazwisko Opis
user_impersonation personifikacja konta użytkownika

Przykłady

Create or update a map

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/maps/testMap?api-version=2016-06-01

{
  "properties": {
    "mapType": "Xslt",
    "content": "<?xml version=\"1.0\" encoding=\"UTF-16\"?>\r\n<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\" xmlns:var=\"http://schemas.microsoft.com/BizTalk/2003/var\" exclude-result-prefixes=\"msxsl var s0 userCSharp\" version=\"1.0\" xmlns:ns0=\"http://BizTalk_Server_Project4.StringFunctoidsDestinationSchema\" xmlns:s0=\"http://BizTalk_Server_Project4.StringFunctoidsSourceSchema\" xmlns:userCSharp=\"http://schemas.microsoft.com/BizTalk/2003/userCSharp\">\r\n  <xsl:import href=\"http://btsfunctoids.blob.core.windows.net/functoids/functoids.xslt\" />\r\n  <xsl:output omit-xml-declaration=\"yes\" method=\"xml\" version=\"1.0\" />\r\n  <xsl:template match=\"/\">\r\n    <xsl:apply-templates select=\"/s0:Root\" />\r\n  </xsl:template>\r\n  <xsl:template match=\"/s0:Root\">\r\n    <xsl:variable name=\"var:v1\" select=\"userCSharp:StringFind(string(StringFindSource/text()) , &quot;SearchString&quot;)\" />\r\n    <xsl:variable name=\"var:v2\" select=\"userCSharp:StringLeft(string(StringLeftSource/text()) , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v3\" select=\"userCSharp:StringRight(string(StringRightSource/text()) , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v4\" select=\"userCSharp:StringUpperCase(string(UppercaseSource/text()))\" />\r\n    <xsl:variable name=\"var:v5\" select=\"userCSharp:StringLowerCase(string(LowercaseSource/text()))\" />\r\n    <xsl:variable name=\"var:v6\" select=\"userCSharp:StringSize(string(SizeSource/text()))\" />\r\n    <xsl:variable name=\"var:v7\" select=\"userCSharp:StringSubstring(string(StringExtractSource/text()) , &quot;0&quot; , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v8\" select=\"userCSharp:StringConcat(string(StringConcatSource/text()))\" />\r\n    <xsl:variable name=\"var:v9\" select=\"userCSharp:StringTrimLeft(string(StringLeftTrimSource/text()))\" />\r\n    <xsl:variable name=\"var:v10\" select=\"userCSharp:StringTrimRight(string(StringRightTrimSource/text()))\" />\r\n    <ns0:Root>\r\n      <StringFindDestination>\r\n        <xsl:value-of select=\"$var:v1\" />\r\n      </StringFindDestination>\r\n      <StringLeftDestination>\r\n        <xsl:value-of select=\"$var:v2\" />\r\n      </StringLeftDestination>\r\n      <StringRightDestination>\r\n        <xsl:value-of select=\"$var:v3\" />\r\n      </StringRightDestination>\r\n      <UppercaseDestination>\r\n        <xsl:value-of select=\"$var:v4\" />\r\n      </UppercaseDestination>\r\n      <LowercaseDestination>\r\n        <xsl:value-of select=\"$var:v5\" />\r\n      </LowercaseDestination>\r\n      <SizeDestination>\r\n        <xsl:value-of select=\"$var:v6\" />\r\n      </SizeDestination>\r\n      <StringExtractDestination>\r\n        <xsl:value-of select=\"$var:v7\" />\r\n      </StringExtractDestination>\r\n      <StringConcatDestination>\r\n        <xsl:value-of select=\"$var:v8\" />\r\n      </StringConcatDestination>\r\n      <StringLeftTrimDestination>\r\n        <xsl:value-of select=\"$var:v9\" />\r\n      </StringLeftTrimDestination>\r\n      <StringRightTrimDestination>\r\n        <xsl:value-of select=\"$var:v10\" />\r\n      </StringRightTrimDestination>\r\n    </ns0:Root>\r\n  </xsl:template>\r\n</xsl:stylesheet>",
    "contentType": "application/xml",
    "metadata": {}
  },
  "location": "westus"
}

Przykładowa odpowiedź

{
  "properties": {
    "mapType": "Xslt",
    "contentLink": {
      "uri": "<Uri>",
      "contentVersion": "\"0x8D464C057F22E5F\"",
      "contentSize": 3056,
      "contentHash": {
        "algorithm": "md5",
        "value": "A2avz/M0ov2FPI3+Je8vDw=="
      }
    },
    "createdTime": "2017-03-06T18:41:03.7366103Z",
    "changedTime": "2017-03-06T18:41:04.4088605Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
  "name": "IntegrationAccountMap291",
  "type": "Microsoft.Logic/integrationAccounts/maps"
}
{
  "properties": {
    "mapType": "Xslt",
    "contentLink": {
      "uri": "<Uri>",
      "contentVersion": "\"0x8D464C057F22E5F\"",
      "contentSize": 3056,
      "contentHash": {
        "algorithm": "md5",
        "value": "A2avz/M0ov2FPI3+Je8vDw=="
      }
    },
    "createdTime": "2017-03-06T18:41:03.7366103Z",
    "changedTime": "2017-03-06T18:41:04.4088605Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
  "name": "IntegrationAccountMap291",
  "type": "Microsoft.Logic/integrationAccounts/maps"
}

Definicje

Nazwisko Opis
Content

Zawartość.

ContentHash

Skrót zawartości.

ContentLink

Link do zawartości.

IntegrationAccountMap

Mapa konta integracji.

MapType
Metadata

Metadane.

Object
ParametersSchema

Schemat parametrów mapy konta integracji.

Content

Zawartość.

ContentHash

Skrót zawartości.

Nazwisko Typ Opis
algorithm

string

Algorytm skrótu zawartości.

value

string

Wartość skrótu zawartości.

Link do zawartości.

Nazwisko Typ Opis
contentHash

ContentHash

Skrót zawartości.

contentSize

integer (int64)

Rozmiar zawartości.

contentVersion

string

Wersja zawartości.

metadata

Object

Metadane.

uri

string

Identyfikator URI łącza zawartości.

IntegrationAccountMap

Mapa konta integracji.

Nazwisko Typ Opis
id

string

Identyfikator zasobu.

location

string

Lokalizacja zasobu.

name

string

Pobiera nazwę zasobu.

properties.changedTime

string (date-time)

Zmieniony czas.

properties.content

Content

Zawartość.

properties.contentLink

ContentLink

Link do zawartości.

properties.contentType

string

Typ zawartości.

properties.createdTime

string (date-time)

Czas utworzenia.

properties.mapType

MapType

Typ mapy.

properties.metadata

Metadata

Metadane.

properties.parametersSchema

ParametersSchema

Schemat parametrów mapy konta integracji.

tags

object

Tagi zasobów.

type

string

Pobiera typ zasobu.

MapType

Wartość Opis
NotSpecified
Xslt

Metadata

Metadane.

Object

ParametersSchema

Schemat parametrów mapy konta integracji.

Nazwisko Typ Opis
ref

string

Nazwa odwołania.